Wednesday, July 9, 2008

Firefox 3 - Syncronize your bookmarks, history, password, form data


A couple weeks ago, Mozilla released their latest version of Weave 0.2.

In the release notes, it states that there a few known issues when used on Linux.

Well, it turns out those issues make it unable to be used unless you can figure out how to work around them.

With a bit of effort, I figured out an easy way to make Weave 0.2 work with Firefox 3:

1. Uninstall Weave from Firefox. Close Firefox.

2. Install working builds of libnss3 and libnspr:



The best way I've found to do this is not to install them using the debi installer, which fails because of other installed versions. Instead, download them into a folder, open a terminal and 'cd' to that folder. Run dpkg -i libn* and it should install the new versions while removing the old.

3. Open Firefox, and install Weave 0.2. Restart Firefox.

Follow the wizard and create a new account. You should be able to login now.

Note: You may see in your updates that there are 'newer' versions of nss3 and nspr4. Do NOT install them, or Weave will stop being able to authenticate.

DiggIt!Add to del.icio.usAdd to Technorati Faves

What next?

You can also bookmark this post using your favorite bookmarking service:

Related Posts by Categories